Changeset 3674 for trunk/GSASII.py


Ignore:
Timestamp:
Oct 15, 2018 11:45:38 AM (3 years ago)
Author:
toby
Message:

misc cosmetic & build changes

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/GSASII.py

    r3420 r3674  
    1818'''
    1919
     20import platform
    2021import GSASIIpath
    2122
     
    2829        print('Unable to run with current setup, do you want to update to the')
    2930        try:
    30             ans = raw_input("latest GSAS-II version? Update ([Yes]/no): ")
     31            if '2' in platform.python_version_tuple()[0]:           
     32                ans = raw_input("latest GSAS-II version? Update ([Yes]/no): ")
     33            else:
     34                ans = input("latest GSAS-II version? Update ([Yes]/no): ")               
    3135        except:
    3236            ans = 'no'
Note: See TracChangeset for help on using the changeset viewer.